Skip to main content
POST
/
v2
/
destinations
Create a destination
curl --request POST \
  --url https://api.portable.io/v2/destinations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destinationSpec": "<string>",
  "displayName": "<string>",
  "properties": {}
}
'
import requests

url = "https://api.portable.io/v2/destinations"

payload = {
    "destinationSpec": "<string>",
    "displayName": "<string>",
    "properties": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({destinationSpec: '<string>', displayName: '<string>', properties: {}})
};

fetch('https://api.portable.io/v2/destinations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "destinationSpec": {
      "name": "<string>",
      "displayName": "<string>",
      "website": "<string>",
      "tagLine": "<string>",
      "instructions": "<string>",
      "propertyDefinitions": [
        {
          "name": "<string>",
          "required": true,
          "displayName": "<string>",
          "description": "<string>"
        }
      ]
    },
    "displayName": "<string>",
    "properties": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Destination to create

destinationSpec
string
required

The name of the destination spec to create a destination for

displayName
string

A human-readable name for the destination

properties
object

Response

Created

data
object
required